Subject: bug#24192: Gajim fails with locale.Error

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 9 Aug 2016 09:09:23 +0200

>   File "/gnu/store/6bk1n2g7i34b4yi0rdindk1f49wps5g6-gajim-0.16.5/share/gajim/src/common/i18n.py", line 54, in <module>
>     locale.setlocale(locale.LC_ALL, '')
>   File "/gnu/store/vcx1n5nj4gr52xx5m6gvi7zrwngy06s3-python-2.7.11/lib/python2.7/locale.py", line 579, in setlocale
>     return _setlocale(category, locale)
> locale.Error: unsupported locale setting
> 
> I have set my locale in my operating system configuration as shown in
> the example configuration in the manual. Is there anything else to be
> done that I am missing? 

>Could this be a bug in the gajim package?

I don't think so. It's probably glibc configuration. Try

$ locale -a

to get a list of supported locales.

Which locale is it?